import { CheckParamReq, ExtractParams, To } from './types';
export interface TypedNavigateFunction<T extends string> {
    <Pattern extends T>(to: To<Pattern>, options: CheckParamReq<{
        params: ExtractParams<Pattern, string>;
        state?: unknown;
    }>): void;
}
export declare const useTypedNavigate: <T extends string>() => TypedNavigateFunction<T>;
