import { TypedLinkProps as InternalLinkProps, TypedNavigateProps as InternalNavigateProps } from './typedRouter';
import { CheckParamReq } from './types';
export { constructTypedRouter } from './typedRouter';
export type { RoutePattern } from './types';
export declare type TypedLinkProps<T extends string> = CheckParamReq<InternalLinkProps<T>>;
export declare type TypedNavigateProps<T extends string> = CheckParamReq<InternalNavigateProps<T>>;
